# Poco

# class Base64DecoderIOS

Library: Foundation
Package: Streams
Header: Poco/Base64Decoder.h

## Description

The base class for Base64Decoder.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: Base64Decoder

## Member Summary

Member Functions: rdbuf

## Constructors

### Base64DecoderIOS

Base64DecoderIOS(
std::istream & istr,
int options = 0
);

## Destructor

### ~Base64DecoderIOS

~Base64DecoderIOS();

## Member Functions

### rdbuf

Base64DecoderBuf * rdbuf();

## Variables

### _buf

Base64DecoderBuf _buf;